/*
 * Licensed Materials - Property of IBM
 *
 * Copyright IBM Corporation 2009. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA DP Schedule Contract with IBM Corp.
 */

egl.defineWidget(
	'dojo.widgets', 'DojoButton',
	'dojo.widgets', 'DojoBase',
	'div',
{
	"constructor" : function() {
		dojo.require("dijit.form.Button");	
	},
	"createDojoWidget" : function(parent) {
		this.runEventHandlers = function() { }; // turn off EGL basic event handlers
		var eglWidget = this;
		this.dojoWidget = new dijit.form.Button(
			{ 
				label: this.data || "", 
				onClick: function() { eglWidget.handleEvent(eglWidget.getOnClick(), "onClick") }
			}, 
			parent
		);
		this.dojoWidget.setDisabled(this.disabled ? true : false);
	},
	"copyStyle" : function(style) {
		egl.dojo.widgets.DojoBase.prototype.copyStyle.call(this, style);
		if (this.width) egl.setWidth(this.dojoWidget.domNode.firstChild.firstChild, egl.toPX(this.width));
	},
	"setText": function(text) {
		this.text = text;
		if (this.dojoWidget)
			this.dojoWidget.setLabel(text);
		else
			this.setData(text);
	},
	"setDisabled": function(disabled) {
		this.disabled = disabled;
		if (this.dojoWidget)
			this.dojoWidget.setDisabled(this.disabled ? true : false);
	},
	"getText" : function() {
		return this.text;
	}
});