/*
 * Licensed Materials - Property of IBM
 *
 * Copyright IBM Corporation 2009. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA DP Schedule Contract with IBM Corp.
 */

egl.defineWidget(
	'dojo.widgets', 'DojoProgressBar',
	'dojo.widgets', 'DojoBase',
	'div',
{
	"constructor" : function() {
		dojo.require("dijit.ProgressBar");
	},
	"createDojoWidget" : function(parent){
		this.dojoWidget = new dijit.ProgressBar({indeterminate: this.indeterminate || false, maximum: this.maximum || 100, progress: this.progress || 0, places: 0}, parent);
		this.dojoWidget.startup();
	},
	"setMaximum" : function( max ){
		this.maximum = max;
		if(this.dojoWidget)
			this.dojoWidget.update({maximum:this.maximum});
	},
	"getMaximum" : function(){
		return this.maximum;
	},
	"setProgress" : function( progress ){
		this.progress = progress;
		if(this.dojoWidget)
			this.dojoWidget.update({ progress:this.progress});
		else
			this.setData(progress);
	},
	"getProgress" : function(){
		return this.progress;
	},
	"setIndeterminate" : function( v ) {
		this.indeterminate = v;
		if(this.dojoWidget)
			this.dojoWidget.update({ indeterminate:this.indeterminate});		
	}
});