/*
 * Licensed Materials - Property of IBM
 *
 * Copyright IBM Corporation 2009. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA DP Schedule Contract with IBM Corp.
 */

egl.defineWidget(
	'dojo.widgets', 'DojoEditor',
	'dojo.widgets', 'DojoBase',
	'div',
{
	"constructor" : function() {
		this.editorHeight = 300;
		this.editorWidth = 300;
		var eglWidget = this;
		setTimeout(function() {
			eglWidget.renderWhenDojoIsDoneLoading();
		},1);	
		dojo.require("dijit.Editor");
		dojo.require("dijit.layout._LayoutWidget");
	},
	"createDojoWidget" : function(parent) {
		var eglWidget = this;
		this.dojoWidget = new dijit.Editor({ }, parent);
		this.dojoWidget.startup();
		dojo.addOnLoad(eglWidget.dojoWidget, function() {
			eglWidget.dojoWidget.resize({w: eglWidget.editorWidth, h: eglWidget.editorHeight });
		});
	},
	"setEditorHeight" : function(height) {
		this.editorHeight = height;
	},
	"setEditorWidth" : function(width) {
		this.editorWidth = width;
	},
	"getContents" : function() {
		if (this.dojoWidget)
			return this.dojoWidget.attr("savedContent");
	},
	"setContents" : function(value) {
		if (this.dojoWidget && value != "")
			this.dojoWidget.setValue(value);
	}
});