/*
 * Licensed Materials - Property of IBM
 *
 * Copyright IBM Corporation 2009. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA DP Schedule Contract with IBM Corp.
 */

var egl_dojoTooltipDialogCount = 1;

egl.defineWidget(
	'dojo.widgets', 'DojoTooltipDialog',
	'dojo.widgets', 'DojoContainer',
	'div',
{
	"constructor" : function() {
		this.created = false;
		this.content = egl.createElement("div");
		var eglWidget = this;
		setTimeout(function() {
			eglWidget.renderWhenDojoIsDoneLoading();
		},1);		
	    dojo.require("dijit.form.DropDownButton");
	    dojo.require("dijit.TooltipDialog");
	},
	"createDojoWidget" : function(parent) {
			if (this.children) {
				for (var n=0; n<this.children.length; n++) {
					this.content.appendChild(this.children[n].eze$$DOMElement);
				}
			}
			this.dojoID = "egl.DojoDialog_" + egl_dojoTooltipDialogCount++;
			this.dojoDialogWidget = new dijit.TooltipDialog({ content: this.content });
			this.dojoWidget = new dijit.form.DropDownButton({ id: this.dojoID, label: this.text, dropDown: this.dojoDialogWidget }, parent);
	},
	"setText": function(text) {
		this.text = text;
		if (this.dojoWidget)
			this.dojoWidget.setLabel(text);
	},
	"hide" : function() {
		if (this.dojoDialogWidget)
			dojo.query('html').forEach(function(node, index, arr){ node.focus(); });
	},
	"destroy" : function() {
		this.created = false;
		if (this.dojoWidget) {
			this.dojoWidget.destroy();
		}
		if (this.dojoDialogWidget) {
			this.dojoDialogWidget.destroyRecursive();
		}
	}
});